#
# Conditional build:
%bcond_without	tests 	# do not perform "make test"
#
%define		pdir	ExtUtils
%define		pnam	Depends
Summary:	ExtUtils::Depends - easily build XS extensions that depend on XS extensions
Summary(pl.UTF-8):	ExtUtils::Depends - łatwe budowanie rozszerzeń XS zależących od innych rozszerzeń XS
Name:		perl-ExtUtils-Depends
Version:	0.8001
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/ExtUtils/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ca203697162b842c6c1e25ce102b79a5
URL:		https://metacpan.org/release/ExtUtils-Depends
BuildRequires:	perl-ExtUtils-MakeMaker >= 7.44
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Number-Delta >= 1.0
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module tries to make it easy to build Perl extensions that use
functions and typemaps provided by other Perl extensions.

%description -l pl.UTF-8
Ten moduł próbuje ułatwić budowanie perlowych rozszerzeń używających
funkcji i map typów udostępnianych przez inne rozszerzenia Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/ExtUtils/Depends.pm
%{_mandir}/man3/ExtUtils::Depends.3pm*
%changelog
* Wed Jun 23 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-ExtUtils-Depends.git;a=log;h=master

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> d567898
- noarch, release 2

* Sat Jun 19 2021 Jakub Bogusz <qboosh@pld-linux.org> df31941
- updated to 0.8001

* Thu Apr 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 52bb383
- updated macros

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 2adf81a
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Jul 02 2019 Jakub Bogusz <qboosh@pld-linux.org> 9496566
- updated to 0.8000

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> d366e80
- updated to 0.405

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6227ebc
- x32 rebuild
- release 2 (by relup.sh)

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 8d416b6
- updated to 0.304
- URLs changed to CPAN (sf/gtk2-perl stays at 0.302)

* Sun Sep 06 2009 amateja <amateja@pld-linux.org> 9f6a571
- updated to 0.302

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 76bd99d
- updated to 0.300

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 42e2cba
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> eff06a4
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 805b6db
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 37a44b3
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 633b7b6
- unify sourceforge url

* Thu Mar 24 2005 freetz <freetz@pld-linux.org> 9642916
- 0.205

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> bff92f0
- formatting

* Mon Oct 11 2004 freetz <freetz@pld-linux.org> b0ef62f
- 0.204

* Sat Jun 05 2004 radek <radek@pld-linux.org> 7f1e5f7
- massive: unfold macros in name/summary & other unifications

* Thu May 06 2004 ankry <ankry@pld-linux.org> df028f4
- fixed perl-devel BR

